package cz.senslog.analytics.utils.validator;


import cz.senslog.analytics.domain.Threshold;
import cz.senslog.analytics.utils.validator.domain.ValidationReport;
import cz.senslog.analytics.utils.validator.domain.ValidationResult;

public class DisableNotifyTrigger implements NotifyTrigger {

    public DisableNotifyTrigger() {}

    @Override
    public void accept(Threshold threshold, ValidationResult... validationResults) {}

    @Override
    public Mode mode() {
        return Mode.DISABLED;
    }

    @Override
    public boolean shouldNotify() {
        return false;
    }

    @Override
    public ValidationReport resultsToNotify() {
        return new ValidationReport(null, new ValidationResult[0]);
    }
}